org.springframework.ldap.pool2.factory

## Class PoolConfig

- java.lang.Object
- - org.springframework.ldap.pool2.factory.PoolConfig

-     public class PoolConfig
      extends Object

  A wrapper class for the pool configuration. It helps to create an instance of `GenericKeyedObjectPoolConfig`.
  Since:
    2.0
  Author:
    Anindya Chatterjee

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PoolConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEvictionPolicyClassName()`
    `String` | `getJmxNameBase()`
    `String` | `getJmxNamePrefix()`
    `int` | `getMaxIdlePerKey()`
    `int` | `getMaxTotal()`
    `int` | `getMaxTotalPerKey()`
    `long` | `getMaxWaitMillis()`
    `long` | `getMinEvictableIdleTimeMillis()`
    `int` | `getMinIdlePerKey()`
    `int` | `getNumTestsPerEvictionRun()`
    `long` | `getSoftMinEvictableIdleTimeMillis()`
    `long` | `getTimeBetweenEvictionRunsMillis()`
    `boolean` | `isBlockWhenExhausted()`
    `boolean` | `isFairness()`
    `boolean` | `isJmxEnabled()`
    `boolean` | `isLifo()`
    `boolean` | `isTestOnBorrow()`
    `boolean` | `isTestOnCreate()`
    `boolean` | `isTestOnReturn()`
    `boolean` | `isTestWhileIdle()`
    `void` | `setBlockWhenExhausted(boolean blockWhenExhausted)`
    `void` | `setEvictionPolicyClassName(String evictionPolicyClassName)`
    `void` | `setFairness(boolean fairness)`
    `void` | `setJmxEnabled(boolean jmxEnabled)`
    `void` | `setJmxNameBase(String jmxNameBase)`
    `void` | `setJmxNamePrefix(String jmxNamePrefix)`
    `void` | `setLifo(boolean lifo)`
    `void` | `setMaxIdlePerKey(int maxIdlePerKey)`
    `void` | `setMaxTotal(int maxTotal)`
    `void` | `setMaxTotalPerKey(int maxTotalPerKey)`
    `void` | `setMaxWaitMillis(long maxWaitMillis)`
    `void` | `setMinEvictableIdleTimeMillis(long minEvictableIdleTimeMillis)`
    `void` | `setMinIdlePerKey(int minIdlePerKey)`
    `void` | `setNumTestsPerEvictionRun(int numTestsPerEvictionRun)`
    `void` | `setSoftMinEvictableIdleTimeMillis(long softMinEvictableIdleTimeMillis)`
    `void` | `setTestOnBorrow(boolean testOnBorrow)`
    `void` | `setTestOnCreate(boolean testOnCreate)`
    `void` | `setTestOnReturn(boolean testOnReturn)`
    `void` | `setTestWhileIdle(boolean testWhileIdle)`
    `void` | `setTimeBetweenEvictionRunsMillis(long timeBetweenEvictionRunsMillis)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PoolConfig

          public PoolConfig()

  - ### Method Detail

    - #### setMaxIdlePerKey

          public void setMaxIdlePerKey(int maxIdlePerKey)

      See Also:
        `GenericKeyedObjectPoolConfig.setMaxIdlePerKey(int)`

    - #### setMaxTotal

          public void setMaxTotal(int maxTotal)

      See Also:
        `GenericKeyedObjectPoolConfig.setMaxTotal(int)`

    - #### setMaxTotalPerKey

          public void setMaxTotalPerKey(int maxTotalPerKey)

      See Also:
        `GenericKeyedObjectPoolConfig.setMaxTotalPerKey(int)`

    - #### setMinIdlePerKey

          public void setMinIdlePerKey(int minIdlePerKey)

      See Also:
        `GenericKeyedObjectPoolConfig.setMinIdlePerKey(int)`

    - #### setBlockWhenExhausted

          public void setBlockWhenExhausted(boolean blockWhenExhausted)

      See Also:
        `BaseObjectPoolConfig.setBlockWhenExhausted(boolean)`

    - #### setEvictionPolicyClassName

          public void setEvictionPolicyClassName(String evictionPolicyClassName)

      See Also:
        `BaseObjectPoolConfig.setEvictionPolicyClassName(String)`

    - #### setFairness

          public void setFairness(boolean fairness)

      See Also:
        `BaseObjectPoolConfig.setFairness(boolean)`

    - #### setJmxEnabled

          public void setJmxEnabled(boolean jmxEnabled)

      See Also:
        `BaseObjectPoolConfig.setJmxEnabled(boolean)`

    - #### setJmxNameBase

          public void setJmxNameBase(String jmxNameBase)

      See Also:
        `BaseObjectPoolConfig.setJmxNameBase(String)`

    - #### setJmxNamePrefix

          public void setJmxNamePrefix(String jmxNamePrefix)

      See Also:
        `BaseObjectPoolConfig.setJmxNamePrefix(String)`

    - #### setLifo

          public void setLifo(boolean lifo)

      See Also:
        `BaseObjectPoolConfig.setLifo(boolean)`

    - #### setMaxWaitMillis

          public void setMaxWaitMillis(long maxWaitMillis)

      See Also:
        `BaseObjectPoolConfig.setMaxWaitMillis(long)`

    - #### setMinEvictableIdleTimeMillis

          public void setMinEvictableIdleTimeMillis(long minEvictableIdleTimeMillis)

      See Also:
        `BaseObjectPoolConfig.setMinEvictableIdleTimeMillis(long)`

    - #### setNumTestsPerEvictionRun

          public void setNumTestsPerEvictionRun(int numTestsPerEvictionRun)

      See Also:
        `BaseObjectPoolConfig.setNumTestsPerEvictionRun(int)`

    - #### setSoftMinEvictableIdleTimeMillis

          public void setSoftMinEvictableIdleTimeMillis(long softMinEvictableIdleTimeMillis)

      See Also:
        `BaseObjectPoolConfig.setSoftMinEvictableIdleTimeMillis(long)`

    - #### setTestOnBorrow

          public void setTestOnBorrow(boolean testOnBorrow)

      See Also:
        `BaseObjectPoolConfig.setTestOnBorrow(boolean)`

    - #### setTestOnCreate

          public void setTestOnCreate(boolean testOnCreate)

      See Also:
        `BaseObjectPoolConfig.setTestOnCreate(boolean)`

    - #### setTestOnReturn

          public void setTestOnReturn(boolean testOnReturn)

      See Also:
        `BaseObjectPoolConfig.setTestOnReturn(boolean)`

    - #### setTestWhileIdle

          public void setTestWhileIdle(boolean testWhileIdle)

      See Also:
        `BaseObjectPoolConfig.setTestWhileIdle(boolean)`

    - #### setTimeBetweenEvictionRunsMillis

          public void setTimeBetweenEvictionRunsMillis(long timeBetweenEvictionRunsMillis)

      See Also:
        `BaseObjectPoolConfig.setTimeBetweenEvictionRunsMillis(long)`

    - #### getMaxIdlePerKey

          public int getMaxIdlePerKey()

      See Also:
        `GenericKeyedObjectPoolConfig.getMaxIdlePerKey()`

    - #### getMaxTotal

          public int getMaxTotal()

      See Also:
        `GenericKeyedObjectPoolConfig.getMaxTotal()`

    - #### getMaxTotalPerKey

          public int getMaxTotalPerKey()

      See Also:
        `GenericKeyedObjectPoolConfig.getMaxIdlePerKey()`

    - #### getMinIdlePerKey

          public int getMinIdlePerKey()

      See Also:
        `GenericKeyedObjectPoolConfig.getMinIdlePerKey()`

    - #### isBlockWhenExhausted

          public boolean isBlockWhenExhausted()

      See Also:
        `BaseObjectPoolConfig.getBlockWhenExhausted()`

    - #### getEvictionPolicyClassName

          public String getEvictionPolicyClassName()

      See Also:
        `BaseObjectPoolConfig.getEvictionPolicyClassName()`

    - #### isFairness

          public boolean isFairness()

      See Also:
        `BaseObjectPoolConfig.getFairness()`

    - #### isJmxEnabled

          public boolean isJmxEnabled()

      See Also:
        `BaseObjectPoolConfig.getJmxEnabled()`

    - #### getJmxNameBase

          public String getJmxNameBase()

      See Also:
        `BaseObjectPoolConfig.getJmxNameBase()`

    - #### getJmxNamePrefix

          public String getJmxNamePrefix()

      See Also:
        `BaseObjectPoolConfig.getJmxNamePrefix()`

    - #### isLifo

          public boolean isLifo()

      See Also:
        `BaseObjectPoolConfig.getLifo()`

    - #### getMaxWaitMillis

          public long getMaxWaitMillis()

      See Also:
        `BaseObjectPoolConfig.getMaxWaitMillis()`

    - #### getMinEvictableIdleTimeMillis

          public long getMinEvictableIdleTimeMillis()

      See Also:
        `BaseObjectPoolConfig.getMinEvictableIdleTimeMillis()`

    - #### getNumTestsPerEvictionRun

          public int getNumTestsPerEvictionRun()

      See Also:
        `BaseObjectPoolConfig.getNumTestsPerEvictionRun()`

    - #### getSoftMinEvictableIdleTimeMillis

          public long getSoftMinEvictableIdleTimeMillis()

      See Also:
        `BaseObjectPoolConfig.getSoftMinEvictableIdleTimeMillis()`

    - #### isTestOnBorrow

          public boolean isTestOnBorrow()

      See Also:
        `BaseObjectPoolConfig.getTestOnBorrow()`

    - #### isTestOnCreate

          public boolean isTestOnCreate()

      See Also:
        `BaseObjectPoolConfig.getTestOnCreate()`

    - #### isTestOnReturn

          public boolean isTestOnReturn()

      See Also:
        `BaseObjectPoolConfig.getTestOnReturn()`

    - #### isTestWhileIdle

          public boolean isTestWhileIdle()

      See Also:
        `BaseObjectPoolConfig.getTestWhileIdle()`

    - #### getTimeBetweenEvictionRunsMillis

          public long getTimeBetweenEvictionRunsMillis()

      See Also:
        `BaseObjectPoolConfig.getTimeBetweenEvictionRunsMillis()`